%define upstream_name    Test-Reporter-Transport-Metabase
%define upstream_version 1.999010

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Metabase transport for Test::Reporter
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Testers::Report) >= 1.999.1
BuildRequires: perl(Carp)
BuildRequires: perl(Config::Perl::V)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::Spec)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(Metabase::Client::Simple) >= 0.8.0
BuildRequires: perl(Metabase::User::Profile) >= 0.16.0
BuildRequires: perl(Metabase::User::Secret) >= 0.16.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Reporter::Transport) >= 1.570.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module submits a Test::Reporter report to the specified Metabase
instance.

This requires a network connection to the Metabase uri provided. If you
wish to save reports during offline operation, see the
Test::Reporter::Transport::File manpage. (Eventually, you may be able to
run a local Metabase instance to queue reports for later transmission, but
this feature has not yet been developed.)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.999.10-4.mga8
+ Revision: 1497469
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.999.10-3.mga7
+ Revision: 1271995
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.999.10-2.mga6
+ Revision: 1034605
- Rebuild for perl 5.22.2

* Fri Apr 08 2016 shlomif <shlomif> 1.999.10-1.mga6
+ Revision: 999529
- update to 1.999010

* Thu Feb 18 2016 umeabot <umeabot> 1.999.9-2.mga6
+ Revision: 966368
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 1.999.9-1.mga6
+ Revision: 843666
- update to 1.999009

* Wed Oct 15 2014 umeabot <umeabot> 1.999.8-5.mga5
+ Revision: 738995
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.999.8-4.mga5
+ Revision: 686527
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.999.8-3.mga4
+ Revision: 515282
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.999.8-2.mga3
+ Revision: 373750
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 19 2011 shlomif <shlomif> 1.999.8-1.mga2
+ Revision: 184290
- imported package perl-Test-Reporter-Transport-Metabase


* Fri Jun 24 2011 cpan2dist 1.999008-1mdv
- initial mdv release, generated with cpan2dist
